function [A,beta]=QRDEC(A)
% function A=QRDEC(A)
% QR-Zerlegung von A. A wird mit R berschrieben. Im unteren Dreieck sind die
% Parameter von Q gespeichert. 

[m,n]=size(A);
for j=1:min(m,n)
    [v(j:m,1),beta(j),mu]=HOUSE(A(j:m,j));
    if A(j,j)>=0
       A(j,j)=-mu;
    else   
       A(j,j)=mu;
    end % if-else
    A(j:m,j+1:n)=ROWHOUSE(A(j:m,j+1:n),v(j:m),beta(j));
    if j<m
       A(j+1:m,j)=v(j+1:m);
    end; % if
end;

