function b=QMULT(A,b,beta)
% b=QMULT(A,b)
% b=QMULT(A,b,beta)
% Multipliziert b mit Produkt von Householdermatrizen, gespeichert im unteren
% Dreieck von A


[m,n]=size(A);
for j=1:min(m,n)
    if (nargin<3)
       b(j:m,:)=ROWHOUSE(b(j:m,:),[1; A(j+1:m,j)]);
    else
       b(j:m,:)=ROWHOUSE(b(j:m,:),[1; A(j+1:m,j)],beta(j));
    end;
end; % for
